# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{8..10} )

inherit distutils-r1

DESCRIPTION="Videomass is a free, open source and cross-platform GUI for FFmpeg and Youtube-dl"
HOMEPAGE="https://jeanslack.github.io/Videomass https://github.com/jeanslack/Videomass"
SRC_URI="https://github.com/jeanslack/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="dev-python/wxpython:4.0
		dev-python/requests
		dev-python/pypubsub
		media-video/ffmpeg
		net-misc/youtube-dl"
RDEPEND="${DEPEND}"
BDEPEND=""
